> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# NFTs Collection Data by Contract Address

> This endpoint allows you to **query all the NFT data (name, floor price, 24hr volume, ...) based on the NFT collection contract address and respective asset platform**

<Tip>
  ### Tips

  * You may also obtain the asset platform ID and contract address through [/nfts/list](/reference/nfts-list) endpoint.
</Tip>

<Note>
  ### Note

  * Solana NFT & Art Blocks are not supported for this endpoint, please use [/nfts/\{id}](/reference/nfts-id) endpoint instead.
  * Cache / Update Frequency: every 60 seconds for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-pro.json get /nfts/{asset_platform_id}/contract/{contract_address}
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /nfts/{asset_platform_id}/contract/{contract_address}:
    get:
      tags:
        - NFTs (Beta)
      summary: NFTs Collection Data by Contract Address
      description: >-
        This endpoint allows you to **query all the NFT data (name, floor price,
        24hr volume ...) based on the NFT collection contract address and
        respective asset platform**
      operationId: nfts-contract-address
      parameters:
        - name: asset_platform_id
          in: path
          description: |-
            asset platform ID 
             *refers to [`/asset_platforms`](/reference/asset-platforms-list)
          required: true
          schema:
            type: string
            example: ethereum
            default: ethereum
        - name: contract_address
          in: path
          description: the contract address of token
          required: true
          schema:
            type: string
            example: '0xBd3531dA5CF5857e7CfAA92426877b022e612cf8'
            default: '0xBd3531dA5CF5857e7CfAA92426877b022e612cf8'
      responses:
        '200':
          description: Get NFTs data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTData'
components:
  schemas:
    NFTData:
      type: object
      properties:
        id:
          type: string
          description: NFT collection ID
        web_slug:
          type: string
          description: NFT collection web slug
        contract_address:
          type: string
          description: NFT collection contract address
        asset_platform_id:
          type: string
          description: NFT collection asset platform ID
        name:
          type: string
          description: NFT collection name
        symbol:
          type: string
          description: NFT collection symbol
        image:
          type: object
          description: NFT collection image url
          properties:
            small:
              type: string
            small_2x:
              type: string
        banner_image:
          type: string
          description: NFT collection banner image url
        description:
          type: string
          description: NFT collection description
        native_currency:
          type: string
          description: NFT collection native currency
        native_currency_symbol:
          type: string
          description: NFT collection native currency symbol
        market_cap_rank:
          type: number
          description: coin market cap rank
          nullable: true
        floor_price:
          type: object
          description: NFT collection floor price
          properties:
            native_currency:
              type: number
            usd:
              type: number
        market_cap:
          type: object
          description: NFT collection market cap
          properties:
            native_currency:
              type: number
            usd:
              type: number
        volume_24h:
          type: object
          description: NFT collection volume in 24 hours
          properties:
            native_currency:
              type: number
            usd:
              type: number
        floor_price_in_usd_24h_percentage_change:
          type: number
          description: NFT collection floor price in usd 24 hours percentage change
        floor_price_24h_percentage_change:
          type: object
          properties:
            usd:
              type: number
            native_currency:
              type: number
        market_cap_24h_percentage_change:
          type: object
          description: NFT collection market cap 24 hours percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        volume_24h_percentage_change:
          type: object
          description: NFT collection volume in 24 hours percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        number_of_unique_addresses:
          type: number
          description: number of unique address owning the NFTs
        number_of_unique_addresses_24h_percentage_change:
          type: number
          description: number of unique address owning the NFTs 24 hours percentage change
        volume_in_usd_24h_percentage_change:
          type: number
          description: NFT collection volume in usd 24 hours percentage change
        total_supply:
          type: number
          description: NFT collection total supply
        one_day_sales:
          type: number
          description: NFT collection one day sales
          nullable: true
        one_day_sales_24h_percentage_change:
          type: number
          description: NFT collection one day sales 24 hours percentage change
        one_day_average_sale_price:
          type: number
          description: NFT collection one day average sale price
          nullable: true
        one_day_average_sale_price_24h_percentage_change:
          type: number
          description: NFT collection one day average sale price 24 hours percentage change
        links:
          type: object
          description: NFT collection links
          properties:
            homepage:
              type: string
            twitter:
              type: string
            discord:
              type: string
        floor_price_7d_percentage_change:
          type: object
          description: NFT collection floor price 7 days percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        floor_price_14d_percentage_change:
          type: object
          description: NFT collection floor price 14 days percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        floor_price_30d_percentage_change:
          type: object
          description: NFT collection floor price 30 days percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        floor_price_60d_percentage_change:
          type: object
          description: NFT collection floor price 60 days percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        floor_price_1y_percentage_change:
          type: object
          description: NFT collection floor price 1 year percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        explorers:
          type: array
          description: NFT collection block explorers links
          items:
            type: object
            properties:
              name:
                type: string
              link:
                type: string
        user_favorites_count:
          type: number
          description: NFT collection user favorites count
        ath:
          type: object
          description: NFT collection all time highs
          properties:
            native_currency:
              type: number
            usd:
              type: number
        ath_change_percentage:
          type: object
          description: NFT collection all time highs change percentage
          properties:
            native_currency:
              type: number
            usd:
              type: number
        ath_date:
          type: object
          description: NFT collection all time highs date
          properties:
            native_currency:
              type: string
              format: date-time
            usd:
              type: string
              format: date-time
      example:
        id: pudgy-penguins
        web_slug: pudgy-penguins
        contract_address: '0xBd3531dA5CF5857e7CfAA92426877b022e612cf8'
        asset_platform_id: ethereum
        name: Pudgy Penguins
        symbol: PPG
        image:
          small: >-
            https://coin-images.coingecko.com/nft_contracts/images/38/small/pudgy.jpg?1730778323
          small_2x: >-
            https://coin-images.coingecko.com/nft_contracts/images/38/small_2x/pudgy.jpg?1730778323
        banner_image: >-
          https://coin-images.coingecko.com/nft_contracts/images/20/bored-ape-yacht-club-banner.png?1708416120
        description: >-
          Pudgy Penguins is a collection of 8,888 unique NFTs featuring cute
          cartoon penguins, which are generated from a collection of 150
          different hand-drawn traits.
        native_currency: ethereum
        native_currency_symbol: ETH
        market_cap_rank: 3
        floor_price:
          native_currency: 12.5
          usd: 42317
        market_cap:
          native_currency: 111100
          usd: 376114941
        volume_24h:
          native_currency: 429.88
          usd: 1455314
        floor_price_in_usd_24h_percentage_change: 1.07067
        floor_price_24h_percentage_change:
          usd: 1.07067060717791
          native_currency: 1.21457489878543
        market_cap_24h_percentage_change:
          usd: 1.07067060717767
          native_currency: -0.404858299595142
        volume_24h_percentage_change:
          usd: -3.19833776698741
          native_currency: -1.80185531390094
        number_of_unique_addresses: 4752
        number_of_unique_addresses_24h_percentage_change: 0.08425
        volume_in_usd_24h_percentage_change: -3.19834
        total_supply: 8888
        one_day_sales: 36
        one_day_sales_24h_percentage_change: -2.7027027027027
        one_day_average_sale_price: 11.9411943888889
        one_day_average_sale_price_24h_percentage_change: 0.925870927379588
        links:
          homepage: https://www.pudgypenguins.com/
          twitter: https://twitter.com/pudgypenguins
          discord: https://discord.gg/pudgypenguins
        floor_price_7d_percentage_change:
          usd: -18.0014948262365
          native_currency: -13.7931034482759
        floor_price_14d_percentage_change:
          usd: -8.63235339431041
          native_currency: -8.61905110022663
        floor_price_30d_percentage_change:
          usd: -14.3765649314409
          native_currency: -0.777901254167328
        floor_price_60d_percentage_change:
          usd: 15.2779758703282
          native_currency: -18.0327868852459
        floor_price_1y_percentage_change:
          usd: 429.5685372855
          native_currency: 196.208530805687
        explorers:
          - name: Etherscan
            link: >-
              https://etherscan.io/token/0xBd3531dA5CF5857e7CfAA92426877b022e612cf8
          - name: Ethplorer
            link: >-
              https://ethplorer.io/address/0xBd3531dA5CF5857e7CfAA92426877b022e612cf8
        user_favorites_count: 3660
        ath:
          native_currency: 22.9
          usd: 67535
        ath_change_percentage:
          native_currency: -59.825327510917
          usd: -64.3396788440525
        ath_date:
          native_currency: '2024-02-17T09:25:05.056Z'
          usd: '2024-02-29T11:45:08.150Z'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````